Subject: Re: [bug#44174] [PATCH v2 00/15] Add hledger and its dependencies.
From: Christopher Baines <[email-masked]>
To: Carlo Holl <[email-masked]>
Cc: [email-masked]
Date: Sun, 01 Nov 2020 13:38:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Carlo Holl <[email-masked]> writes:

> This patch series adds hledger, a plaintext accounting program.
>
> Changes since v1 (based on feedback from Christopher Baines):
>     - Fixed incorrect indentation.
>     - Added changelog entries to each commit message.
>     - Improved descriptions for some of the packages.
>     - Moved attribution to first commits to touch any given file.
>
> Notes:
>
> Christopher suggested I wrap an ascii table with @verbatim as part of the description for the ghc-tabular package so that it displays correctly, but I couldn't get 'guix show' to work with @verbatim, failing with <<Throw to key `parser-error' with args `(#<input: string 7fdb95dad700> "EOF while reading a token " "reading verbatim")'.>>. I used @example instead, which works under 'guix show', but I'm not sure what the implications are for other output formats.
>
> Carlo Holl (15):
>   gnu: Add ghc-control-monad-free.
>   gnu: Add ghc-csv.
>   gnu: Add ghc-decimal.
>   gnu: ghc-doctest: Update to 0.16.3.
>   gnu: Add ghc-hspec-megaparsec.
>   gnu: Add ghc-lucid.
>   gnu: Add ghc-only.
>   gnu: Add ghc-text-short.
>   gnu: Add ghc-tabular.
>   gnu: Add ghc-uglymemo.
>   gnu: Add ghc-wizards.
>   gnu: Add ghc-cassava.
>   gnu: Add ghc-cassava-megaparsec.
>   gnu: Add ghc-hledger-lib.
>   gnu: Add hledger.
>
>  gnu/packages/finance.scm     |  63 ++++
>  gnu/packages/haskell-xyz.scm | 557 ++++++++++++++++++++++++++++++++++-
>  2 files changed, 608 insertions(+), 12 deletions(-)

Awesome! I went through and tweaked some descriptions and wrapping and
pushed to master as e6bfb02eb79777b760031384d4a3c14239f7fb55.

Thanks again,

Chris